# Interface methods for submodule: ZeroCrossingBasedEdgeDetectionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ZeroCrossingBasedEdgeDetectionImageFilter
class ZeroCrossingBasedEdgeDetectionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetVariance(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetVariance(self, v: float) -> None:
		""""""
		...

	def GetVariance(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetMaximumError(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetMaximumError(self, v: float) -> None:
		""""""
		...

	def GetMaximumError(self) -> Sequence[float]:
		""""""
		...

	def GetBackgroundValue(self) -> float:
		""""""
		...

	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	def GetForegroundValue(self) -> float:
		""""""
		...

	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

